# This is linked into each plot directory as 'Makefile'

tex: plot.tex skel.tex

# make a new tex plot file
plot.tex: plot
	gnuplot plot
	rm -f skel.tex

# make a skeleton file for quicker draft latexing
skel.tex: plot.tex
	plotskel plot.tex > skel.tex

# or you view it
v view: pic.dvi
	xtex pic

# or you print it
p print: pic.dvi
	texprint pic

remake:
	rm -f plot.tex skel.tex

dvi: pic.dvi

pic.dvi: plot.tex
	latex ../pic

clean:
	rm -f *~ pic.dvi pic.aux pic.log

spotless: clean
	rm -f plot.tex skel.tex
